## arpys 1.0.0~git20230217101414.07b63b3

=== requirements.txt ===
cycler>=0.10.0
h5py>=2.7.1
igor2>=0.5.2
matplotlib>=2.1.0
numpy>=1.8.0
scipy>=0.19.1
astropy>=4.0.1

=== debian/changelog ===
arpys (1:1.0.0~git20230217101414.07b63b3-3) unstable; urgency=medium

  * Bug fix: "Python SyntaxWarning", thanks to Graham Inggs (Closes:
    #1085327).

 -- Roland Mas <lolando@debian.org>  Fri, 24 Oct 2025 16:50:08 +0200

arpys (1:1.0.0~git20230217101414.07b63b3-2) unstable; urgency=medium

  * Mark strings containing "\ " as raw literals to fix "Python
    SyntaxWarning", thanks to Graham Inggs (Closes: #1085327).
  * Also, prepare for running upstream unit tests with autopkgtest
    (Closes: #1035168, #1036490) (note that no unit tests are currently
    available upstream).

 -- Roland Mas <lolando@debian.org>  Sun, 20 Oct 2024 17:29:47 +0200

arpys (1:1.0.0~git20230217101414.07b63b3-1) unstable; urgency=medium

  * New release from upstream git.
  * Rebuild against python3-igor2.

 -- Roland Mas <lolando@debian.org>  Fri, 19 Jan 2024 14:48:46 +0100

arpys (2.0.2-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Nov 2020 10:08:38 +0100

arpys (2.0.2-2) unstable; urgency=medium

  * First release (Closes: #972959)

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Oct 2020 06:53:05 +0100

=== debian/control ===
Source: arpys
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-astropy,
 python3-cycler,
 python3-h5py,
 python3-igor2,
 python3-matplotlib,
 python3-numpy,
 python3-scipy,
 python3-setuptools,
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/kuadrat/arpys
Vcs-Browser: https://salsa.debian.org/science-team/arpys
Vcs-Git: https://salsa.debian.org/science-team/arpys.git

Package: python3-arpys
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: ARPES (Angle Resolved PhotoEmission Spectroscopy) data analysis
 Collection of libraries, functions and tools related to ARPES data
 loading and analysis.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=arpys

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git, date=%Y%m%d%H%M%S, pgpmode=none, pretty=1:1.0.0~git%cd.%h" \
https://github.com/kuadrat/arpys.git HEAD

## arpys 2.0.2

=== requirements.txt ===
cycler>=0.10.0
h5py>=2.7.1
igor>=0.3
matplotlib>=2.1.0
numpy>=1.8.0
scipy>=0.19.1
astropy>=4.0.1

=== debian/control ===
Source: arpys
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: 
 debhelper (>= 12),
 dh-python,
 python3-all,
 python3-astropy,
 python3-cycler,
 python3-h5py,
 python3-igor,
 python3-matplotlib,
 python3-numpy,
 python3-scipy,
 python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/kuadrat/arpys
Vcs-Browser: https://salsa.debian.org/science-team/arpys
Vcs-Git: https://salsa.debian.org/science-team/arpys.git

Package: python3-arpys
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: ARPES (Angle Resolved PhotoEmission Spectroscopy) data analysis
 Collection of libraries, functions and tools related to ARPES data
 loading and analysis.

=== debian/watch ===
version=3
https://github.com/kuadrat/arpys/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate
